diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2009-07-24 08:01:31 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2009-07-24 08:01:31 +0000 |
commit | b70981b68efcce5256eb11c6cd26ae123b10b6ea (patch) | |
tree | a38be6efae5e2ba15c2e839504632f9b7bfd5f91 /main/ntfs-3g | |
parent | 2b4df81538b8398442d5296650905c70341dd8d3 (diff) | |
download | aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.bz2 aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.xz |
moved extra/* to main/
and fixed misc build issues
Diffstat (limited to 'main/ntfs-3g')
-rw-r--r-- | main/ntfs-3g/APKBUILD | 29 | ||||
-rw-r--r-- | main/ntfs-3g/nocxx.patch | 15 |
2 files changed, 44 insertions, 0 deletions
diff --git a/main/ntfs-3g/APKBUILD b/main/ntfs-3g/APKBUILD new file mode 100644 index 0000000000..5575e696de --- /dev/null +++ b/main/ntfs-3g/APKBUILD @@ -0,0 +1,29 @@ +# Contributor: Carlo Landmeter <clandmeter@gmail.com> +# Maintainer: Natanael Copa <ncopa@alpinelinux.org> +pkgname=ntfs-3g +pkgver=2009.4.4 +pkgrel=0 +pkgdesc="A userspace ntfs driver with write support" +url="http://www.ntfs-3g.org" +license="GPL" +depends="uclibc" +makedepends="" +subpackages="$pkgname-doc $pkgname-dev" +source="http://www.ntfs-3g.org/${pkgname}-${pkgver}.tgz + nocxx.patch" + +build() { + cd "$srcdir/$pkgname-$pkgver" + patch configure < ../nocxx.patch || return 1 + + ./configure --prefix=/usr \ + --sysconfdir=/etc \ + --mandir=/usr/share/man \ + --infodir=/usr/share/info + make || return 1 + make -j1 DESTDIR="$pkgdir" LDCONFIG=: install + +} + +md5sums="e0b5c170f088a8d82968f0a6b34d31da ntfs-3g-2009.4.4.tgz +28513788ba4d556ccd538867dc6205ab nocxx.patch" diff --git a/main/ntfs-3g/nocxx.patch b/main/ntfs-3g/nocxx.patch new file mode 100644 index 0000000000..beb1ab9006 --- /dev/null +++ b/main/ntfs-3g/nocxx.patch @@ -0,0 +1,15 @@ +--- a/configure 2004-12-07 21:34:23.205172545 +0000 ++++ b/configure 2004-12-07 21:37:17.726654782 +0000 +@@ -5148,10 +5148,8 @@ + : + else + { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&5 +-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&2;} +- { (exit 1); exit 1; }; } ++See \`config.log' for more details." >&5;} ++ { echo "C++ sucks, ignoring ..." >&5; }; } + fi + + ac_ext=cc |